<!DOCTYPE html>
<html>
<head>
  <title>Estates</title>
  <%= csrf_meta_tags %>

  <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>


</head>

<body>


<table>
  <tr>
    <th>

      <%= link_to 'Log in', new_developer_session_path %>


    </th>
    <th>
      <p class="notice"><%= notice %></p>
      <p class="alert"><%= alert %></p>
    </th>
  </tr>
  <tr>
    <td>
      Search:<br>
      <%= form_tag find_path, id: 'search_form' do %>
          <p>Developer:<br>
            <%= select_tag :developer, options_for_select([['Emerson', 'Emerson',], ['Budimex', 'Budimex']], @developer) %>
          </p>
          <p>Estate type::<br>
            <%= select_tag :estate_type, options_for_select([['House', 'house',], ['Flat', 'flat']], params[:estate_type]) %>
          </p>
          <p>Surface:<br>
            From:<%= text_field_tag :surface_from, params[:surface_from] %><br>
            To:<%= text_field_tag :surface_to, params[:surface_to] %></p>
          <p>Rooms:<br>
            Min:<%= text_field_tag :room_min, params[:room_min] %><br>
            Max:<%= text_field_tag :room_max, params[:room_max] %></p>

          <p>Garage:<br>
            <%= check_box_tag :garage, params[:garage] %>
          </p>
          <p>City:<br>
            <%= text_field_tag :city, params[:city] %>
          </p>
          <p>Street:<br>
            <%= text_field_tag :street, params[:street] %>
          </p>
          <p> Sort by: <br>
            <%= select_tag :sort, options_for_select([['',''],['Developer', 'developers.company'], ['Price', 'price'], ['Surface', 'surface']]) %>
          </p>



          <p><%= submit_tag "Search" %>
          </p>
      <% end %>

    </td>
    <td><%= yield %></td>
  </tr>


</table>

</body>

</html>
